package com.huimv.farm.musk.timer;

import com.huimv.farm.musk.entity.BaseBuilding;
import com.huimv.farm.musk.entity.DevEnergy;
import com.huimv.farm.musk.entity.DevEnv;
import com.huimv.farm.musk.entity.vo.WeatherVo;
import com.huimv.farm.musk.service.IBaseBuildingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import java.util.List;

@Component
@EnableScheduling
public class DevTimer {

    @Autowired
    private IBaseBuildingService baseBuildingService;

//    @Autowired
//    private  RestTemplate restTemplate;
    @Scheduled(cron = "0 0 * * * ?")
    private void saveDevEnv(){
        List<BaseBuilding> listUnit  = baseBuildingService.listUnit();
        DevEnv devEnv = new DevEnv();
        DevEnergy devEnergy = new DevEnergy();
        WeatherVo weatherVo = getWeater("杭州");
        String humidity = weatherVo.getHumidity().replace("%","");
        String tem = weatherVo.getTem();
        for (BaseBuilding baseBuilding : listUnit) {


        }

    }



    private static   WeatherVo getWeater(String city){
        RestTemplate restTemplate = new RestTemplate();

        return   restTemplate.getForObject("http://v1.yiketianqi.com/api?unescape=1&appid=59521471&appsecret=HnCqt3I6&version=v61&city="+city, WeatherVo.class);
    }


}
